# Uses of Class
javafx.scene.control.TreeTableView.TreeTableViewSelectionModel

Packages that use TreeTableView.TreeTableViewSelectionModel
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of TreeTableView.TreeTableViewSelectionModel in javafx.scene.control

Methods in javafx.scene.control that return TreeTableView.TreeTableViewSelectionModel
Modifier and Type
Method
Description
`final TreeTableView.TreeTableViewSelectionModel<S>`
TreeTableView.`getSelectionModel()`
Returns the currently installed selection model.
Methods in javafx.scene.control that return types with arguments of type TreeTableView.TreeTableViewSelectionModel
Modifier and Type
Method
Description
`final ObjectProperty<TreeTableView.TreeTableViewSelectionModel<S>>`
TreeTableView.`selectionModelProperty()`
The SelectionModel provides the API through which it is possible to select single or multiple items within a TreeTableView, as well as inspect which rows have been selected by the user.
Methods in javafx.scene.control with parameters of type TreeTableView.TreeTableViewSelectionModel
Modifier and Type
Method
Description
`final void`
TreeTableView.`setSelectionModel(TreeTableView.TreeTableViewSelectionModel<S> value)`
Sets the `MultipleSelectionModel` to be used in the TreeTableView.